Linuxは32bit打ち切りだってよ。Windowsは?

1名無し~3.EXE2018/12/19(水) 05:56:53.19ID:rchgLX6Q
Linux、x32のサポート終了か - ト―バルス氏は賛成
https://news.mynavi.jp/article/20181217-740892/

古いパソコン使っているやつが悪い

2名無し~3.EXE2018/12/19(水) 07:19:14.47ID:IPF/R1n1
128bitとかでないの

3名無し~3.EXE2018/12/19(水) 07:32:33.91ID:a31JouaH
私は大反対。GPLなソフトで32bitバイナリが公開されなくなる懸念

4名無し~3.EXE2018/12/19(水) 07:54:13.88ID:v9Vmm5tF
>>3
64bitであれば動くからだろ

5名無し~3.EXE2018/12/19(水) 07:56:40.91ID:l1paH4tC
--__--_---__--______-_--___--_--_----__-____--__--_---_---_-__--____-___-
_____-__-_____--__--__---_--___--_---_-__-__-------__--_______-_----_----
_-_____-_-_-_-___-_-_--__-_-__---------__---____-_--___-__-_-_-____------
--___-___-_-_---__---_--_-___----___-_--_____---_-____--_-__----_-_-_-_-_
_--------_-_-___-_--_-__--__--_-____-____-_-__--_--_--_--_-_____-__---_-_
----__-_-___-___--__-_-___-_----_-__-____-_-_____---_-__-_------_---___--
---_-__-_-___-_-----_-----_--___--___--_____--__---__-_-__-_--_---_______
__--_-_-_-_----___----_---_-_--_-__-_---_-_--_____-_-_____-____---_-_--__
___-_-__----__--_-_-__--___-_-_--_--__-__--_--____--_-_-_-_--__-__--_-_--
__-_--_------___-_-__-_---__---------__-___------_-__-__-_____-__-_______
--_-_--_--__--___------_-__--_--___---___-----_--____---_-_-____-________
-__-_--__-__----_-_______-__------_---_-_---_-_--_-----__---______-______
--___--_-_--_---_--__-_-___-______--_-_-___--_-____--___-------_--____---
___-_-_____-_-__--_--_--___---___-_-_---_---_-__-__-_--_-__-__---_---__--
-_---_-__----_---__-_____-__-__-_--___-___-_-_---____---__----_-_-_-_-__-
-__---__---______--___-_-------__-___-_---___-__--___-_--__-___----_-_--_
---_-__-_--___--__----_-___--_-____---____-___--__-__-__--_-__-_--_---_--
-____-___-----___----____--_---_---_---__-____---_-___-_-___--__----_-___
-__-__----_____--_-__---__--_-___----_---_-_--_--_-__--_-_-_-_-__-__-____
__-----___--_--_-_-_---_-_-_----_-_-___--___---__-_--_____---______---___
____--_-_---_-_-_---_---_----_---___-_--_-___--_-_-___-_____-_-__---__-__
-__-____---_--____-_--__-_--__-__-_---_-_-____--_------__-_-__-_--_-___--
_---_--__----_-_---_--__-__-_--_--_--____-_---__-_-_--__-____--______--__
-____-_--___--_---_-__-___--__--_-_-----_--__-_--__---_-_----_______-__-_
____--___-____----__-____-_--___-_-___------____--_-___------_-----_--__-
-___--__---__-____----_-__--__-----_-___-___-_-__------____--__-_-___-_--

6名無し~3.EXE2018/12/19(水) 10:41:03.36ID:jGbJondq
古いマシンでも動くのがLinuxの売りだったのにx32切るとかあほかよ

7名無し~3.EXE2018/12/19(水) 11:29:39.66ID:S+iEtTYZ
x32ってx86_64で拡張されたレジスタも使うがアドレスは32bitってやつで
メモリ効率が良いのでアドレスが足りるならx86_64より速い
いわゆる32bitCPUでは動かせないしWindowsはこのモードに対応してない
あんまり使われてないしもういいだろって話か

8名無し~3.EXE2018/12/19(水) 19:49:35.98ID:FNR8bNIM
新しいパソコンにはもれなくwindowsがついてくるから
linuxなど眼中にない

windowsサポート切れた古いパソコンユーザーがlinuxに泣きつくんだが
それなのに32bits打ち切りなんてlinuxの存在価値無いじゃんなあ

9名無し~3.EXE2018/12/20(木) 13:58:52.62ID:8wXlcd2m
多くのLinuxディストリはx86_64やx86はサポートしてるけどx32はサポートしてないから関係ない

10名無し~3.EXE2018/12/26(水) 10:00:57.52ID:zd5DFcFr
メモリ最低構成4GB以上が一般的でになってきた現状で今更32ビットもう
必要ないだろ?って話のように見えるな。

Ubuntuとか4GBだけならWin10より糞動作重いし。
GUIすげ変えないとダメとかいう時点で古いマシンもう捨てろって事だろ。

11名無し~3.EXE2018/12/26(水) 12:21:36.74ID:rsRupmth
32bitでもメモリ4GB以上使える。Midro$oftがサポートしなかっただけだ

12名無し~3.EXE2018/12/26(水) 13:07:46.21ID:MD5RA4UF
>>11
サポートはしてる。上位エディションにしか搭載されてないだけ

13名無し~3.EXE2018/12/27(木) 18:25:19.35ID:p9Nn2yM/
32bit使ってない人にはどうでもいい話

って言おうと思ったら、ウチの一台だけ06年製PCがWin7の32bitだったは・・

14名無し~3.EXE2018/12/28(金) 12:48:19.36ID:uNlLqyRy
最近のWindowsはxDビットとか使っているがPAEのサポートもセットで必要なので、
32bit版Windowsもカーネルにパッチすれば4GB以上使用可能

15名無し~3.EXE2018/12/28(金) 17:43:28.68ID:Leh4PBQz
>>6
それはCUIだったり、
FVWMやTWMみたいな糞しょぼいウィンドウマネージャが主力だったころの話だぞ

16名無し~3.EXE2018/12/28(金) 20:21:10.30ID:FX1TqNx+
Ubuntuは17.10から32ビット版インストーラーの配布を取りやめました。

17名無し~3.EXE2018/12/30(日) 06:52:39.39ID:pcEJDcgB
ポンコツPCにペンギン入れるのが定番なのに

18名無し~3.EXE2018/12/30(日) 08:28:08.44ID:561lwIpf
GPU対応がへぼいのとX11のオーバーヘッドがあるから
GNOMEやKDEみたいな凝ったUI作ると結局窓よりもっさりするんだよね

19名無し~3.EXE2018/12/30(日) 08:29:10.62ID:561lwIpf
waylandも完成しねーし

20名無し~3.EXE2019/01/06(日) 04:25:14.80ID:HBJ8YZ7E
このスレの誰も>>7を理解してないことがわかった

21名無し~3.EXE2019/01/06(日) 10:06:06.83ID:3U948nU8
Appleみたな仕組みにしてれば32bit/64bitを考えなくても移行できるわけだが

22名無し~3.EXE2019/01/06(日) 10:37:07.46ID:sbEtsW+9
ところでLinuxはx86のことをx32って呼んでるのかい? それとも別のアーキテクチャ?

23名無し~3.EXE2019/01/06(日) 10:41:05.21ID:sbEtsW+9
なるほど。x32はx86と関係なのいか。

> この機能を利用するとx86-64命令セットを利用しつつ、さらに32ビットポインタのオーバーヘッドを回避することができる。

というかこの記事間違ってないか。
「64ビットポインタのオーバーヘッドを回避」の間違いではないか。

24名無し~3.EXE2019/01/06(日) 11:23:27.92ID:HBJ8YZ7E
間違いだろうね

キャッシュラインが64バイトなのに対してポインタごときが8バイト使うことと
4GB超のメモリを使うプログラムが稀なことが
x32の出てきた背景なんだろうけど、
Linux開発陣の判断は影響が少ないか制限が大きいって判断したんだろうな

って、板違いスマヌ

25名無し~3.EXE2019/01/06(日) 18:22:26.94ID:zPw8Gfoe
マイコン組み込み機器あたりは32bitどころじゃないのだらけだらけだから切られんだろ

26名無し~3.EXE2019/01/07(月) 03:16:43.69ID:nmTfblRC
なるほどね。メモリアドレッシングを64bitでやるとオーバーヘッドが大きい。
なのでx64で拡張されたレジスタを使いつつメモリアドレッシングは32bitでやると。
しかしこのモードは普通のx86用ソフトとの互換性も微妙だし仮想86モードも
使えないしという微妙な立ち位置なのね

27名無し~3.EXE2019/01/07(月) 03:19:54.86ID:nmTfblRC
メモリーアドレッシングのオーバーヘッドの少ない64bit CPUを設計するとしたら、
セグメント方式やバンク切り替え方式による4GB超えのほうがいいのかも

28名無し~3.EXE2019/01/17(木) 14:16:02.43ID:xp9Y9x0N
>>7
>x32ってx86_64で拡張されたレジスタも使うが
これって、32bitモードでも、REX(レジスタ拡張プリフィックス)付けると
倍に拡張された R8とかも使えるって事なの?
 仮に使えたとして gccとか対応してるの?

29名無し~3.EXE2019/01/20(日) 03:20:04.45ID:uJsEY3lQ
>>28
使えない。x32-ABIはアドレス長を32bitにした64bitコードなので32bitモードでは動かない。
なんであんまり使われなかったというと

本の虫 - 江添亮のブログの x32 ABIの簡易的なまとめより一部引用するが

OSには、最低でも、Linux Kernel 3.4 x86_64が必要となる。コンパイラーには、今の所、gccが対応している。
もちろん、gccもx32アーキテクチャをサポートする設定でビルドされていなければならない。x32に対応したデバッガーも必要だ。GDBが対応している。
もちろん、x32に設定したビルドが必要だ。glibcを含めたライブラリも、当然x32に対応し、もちろんx32向けにコンパイルされていなければならない。
ビルドツールにも特別な対応が必要だ。

と、x86とx64の両方を上回るパフォーマンスを得られるであろう一部のソフトウェアのためだけにi686とx64に加えてx32のバイナリ、イメージを用意するのは負担が大きい。

30名無し~3.EXE2019/01/20(日) 17:08:05.82ID:E55kYT7f
ゴミだな

31名無し~3.EXE2019/01/20(日) 18:43:37.89ID:jFRPVU0n
>>29
動作モードとして x32がある訳じゃないのね。
x64で、ポインタ32bitのプリフィックス付ける感じなのかな?

>x86とx64の両方を上回るパフォーマンスを得られるであろう
ポインタ長が 4byteで済むからキャッシュ効率、メモリ効率が向上
なんだろうけど、良くて 5%〜15%程度の向上かな?

新着レスの表示
レスを投稿する